import { EasterEgg } from "../types";
import { api } from "./Api";

const EASTER_EGGS_API_PREFIX = '/api/easterEggs';

export const getEasterEgg = async (): Promise<EasterEgg | undefined> => {
    return await api.get(`${EASTER_EGGS_API_PREFIX}`);
}

export const getImage = async (url: string) => {
    return await api.blobGet(`${EASTER_EGGS_API_PREFIX}/${url}`);
}